Storage
Delete Volume (PVC)
Delete a volume (persistent volume claim) and its data. Fails while the volume is mounted by a service.
Delete a volume (persistent volume claim) and its data. Fails while the volume is mounted by a service.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
environment_id?string
Format
uuidid*string
project_id?string
Format
uuidteam_id*string
Format
uuidtype*PvcScope
Value in
- "team"
- "project"
- "environment"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/storage/pvc/delete" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "team" }'{ "data": { "deleted": true, "id": "string" }}